19308541 update Python 2.7 line to version 2.7.8 (fix upgrade) s11-update
authorJohn Beck <John.Beck@Oracle.COM>
Sun, 05 Oct 2014 17:28:43 -0700
branchs11-update
changeset 3368 006337635e91
parent 3367 ed5024e47b53
child 3369 d159dcb97df2
19308541 update Python 2.7 line to version 2.7.8 (fix upgrade)
components/python/python27/old-manifest-27.p5m
components/python/python27/python-27.p5m
components/python/python27/tkinter-27.p5m
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/components/python/python27/old-manifest-27.p5m	Sun Oct 05 17:28:43 2014 -0700
@@ -0,0 +1,27 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright (c) 2013, 2014, Oracle and/or its affiliates. All rights reserved.
+#
+
+set name=pkg.fmri value=pkg:/library/python-2/[email protected],5.11-0.175.3.0.0.8.0
+set name=pkg.renamed value=true
+set name=org.opensolaris.consolidation value=$(CONSOLIDATION)
+depend fmri=library/python/tkinter-27 type=require
--- a/components/python/python27/python-27.p5m	Sat Oct 04 14:50:43 2014 -0700
+++ b/components/python/python27/python-27.p5m	Sun Oct 05 17:28:43 2014 -0700
@@ -1030,7 +1030,7 @@
 license python27.license license=PSFv2
 
 # This optionally brings in the python tk support if tk is installed
-depend type=conditional fmri=library/python-2/tkinter-27 predicate=runtime/tk-8
+depend type=conditional fmri=library/python/tkinter-27 predicate=runtime/tk-8
 
 # If 2.6 is installed, bump it up to the current version to avoid conflicts.
 depend type=optional fmri=runtime/[email protected],$(BUILD_VERSION)
--- a/components/python/python27/tkinter-27.p5m	Sat Oct 04 14:50:43 2014 -0700
+++ b/components/python/python27/tkinter-27.p5m	Sun Oct 05 17:28:43 2014 -0700
@@ -22,7 +22,7 @@
 #
 
 set name=pkg.fmri \
-    value=pkg:/library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
+    value=pkg:/library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
 set name=pkg.summary value="Python 2.7 bindings to tcl/tk"
 set name=com.oracle.info.description value="Python 2.7 bindings for Tcl/Tk"
 set name=com.oracle.info.tpno value=$(TPNO)
@@ -59,3 +59,6 @@
 file path=usr/lib/python2.7/lib-tk/tkSimpleDialog.py
 file path=usr/lib/python2.7/lib-tk/ttk.py
 file path=usr/lib/python2.7/lib-tk/turtle.py
+
+# force the rename with an optional dependency on the old name
+depend type=optional fmri=library/python-2/[email protected],5.11-0.175.3.0.0.8.0